Projects
Projects resource
Field |
Format |
|
|---|---|---|
|
string |
Project ID |
|
string |
Project name |
The following fields are considered legacy and should not longer be used.
Field |
Format |
|
|---|---|---|
|
string |
Dashboard ID |
|
array[string] |
List of reports ID. |
idis almost always equal toreport_id, except for very old project.report_list_idis always a list containing one item equal toreport_id
Get Projects
Get all projects available for given OAuth token.
Pagination can be controlled with GET parameters:
size(integer): Indicates the number of projects that should be returned, defaults to 20. Maximum is 100.from(integer): Indicates the offset. Defaults to 0.
Example
GET https://rest.synthesio.com/workspace/v1/dashboards?from=0&size=2 HTTP/1.1
Authorization: Bearer YOUR_API_TOKEN
Response
{
"data": [
{
"report_id": "1000",
"name": "Some dashboard name"
},
{
"report_id": "1001",
"name": "Some other dashboard"
}
]
}
Filters:
filter by Report ID is implemented. To get information on specific projects, you can give a comma separated list of report IDs. Example:
?filter[report_id]=1000
Example
GET https://rest.synthesio.com/workspace/v1/dashboards?filter[report_id]=1000 HTTP/1.1
Authorization: Bearer YOUR_API_TOKEN
Response
{
"data": [
{
"report_id": "1000",
"name": "Some dashboard name"
}
]
}